diff --git a/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java b/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
index daae51138..e860ff6f2 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/monster/MobZombiePig.java
@@ -13,33 +13,32 @@ import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.tags.CompoundTag;
 import net.minecraft.core.world.World;
 import net.minecraft.core.util.helper.DamageType;
+import net.minecraft.core.world.pos.TilePos;
 import org.jetbrains.annotations.NotNull;
+import org.joml.primitives.AABBd;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class MobZombiePig extends MobZombie
-{
+public class MobZombiePig extends MobZombie {
     private static final ItemStack DEFAULT_HELD_ITEM;
 
-    static
-    {
+    static {
         DEFAULT_HELD_ITEM = new ItemStack(Items.TOOL_SWORD_GOLD, 1);
     }
 
     private int angerLevel;
     private int randomSoundDelay;
 
-    public MobZombiePig(World world)
-    {
+    public MobZombiePig(World world) {
         super(world);
-        angerLevel = 0;
-        randomSoundDelay = 0;
+        this.angerLevel = 0;
+        this.randomSoundDelay = 0;
         setTextureIdentifier("minecraft", "pigzombie");
-        moveSpeed = 0.5F;
-        attackStrength = 5;
-        fireImmune = false;
-        scoreValue = 500;
+        this.moveSpeed = 0.5F;
+        this.attackStrength = 5;
+        this.fireImmune = false;
+        this.scoreValue = 500;
     }
 
     @Override
@@ -50,83 +49,68 @@ public class MobZombiePig extends MobZombie
     }
 
     @Override
-	public void tick()
-    {
-        if (tickCount % 200 == 0 && target instanceof Player && ((Player) target).getStat(Achievements.MOST_WANTED) <= 0) {
+    public void tick() {
+        if (this.tickCount % 200 == 0 && this.target instanceof Player && ((Player) this.target).getStat(Achievements.MOST_WANTED) <= 0) {
             int agroNumber = 1;
-            for (Entity e : world.entities) {
+            for (Entity e : this.world.entities) {
                 if (e instanceof MobZombiePig && ((MobZombiePig) e).target == this.target) {
                     agroNumber++;
                 }
                 if (agroNumber >= 20) {
-                    ((Player) target).addStat(Achievements.MOST_WANTED, 1);
+                    ((Player) this.target).addStat(Achievements.MOST_WANTED, 1);
                     break;
                 }
             }
         }
-        moveSpeed = target == null ? 0.5F : 0.95F;
-        if(randomSoundDelay > 0 && --randomSoundDelay == 0)
-        {
-            world.playSoundAtEntity(null, this, "mob.zombiepig.zpigangry", getSoundVolume() * 2.0F, ((random.nextFloat() - random.nextFloat()) * 0.2F + 1.0F) * 1.8F);
+        this.moveSpeed = this.target == null ? 0.5F : 0.95F;
+        if (this.randomSoundDelay > 0 && --this.randomSoundDelay == 0) {
+            this.world.playSoundAtEntity(null, this, "mob.zombiepig.zpigangry", getSoundVolume() * 2.0F, ((this.random.nextFloat() - this.random.nextFloat()) * 0.2F + 1.0F) * 1.8F);
         }
         super.tick();
     }
 
     @Override
-	public boolean canSpawnHere()
-    {
-    	int x = MathHelper.floor(this.x);
-    	int y = MathHelper.floor(this.y);
-    	int z = MathHelper.floor(this.z);
-    	if(world.getBlockId(x, y, z) != 0) return false;
-        Block<?> below = world.getBlock(x, y - 1, z);
+    public boolean canSpawnHere() {
+        TilePos tilePos = new TilePos(this);
+        if (!this.world.isAirBlock(tilePos)) return false;
+        Block<?> below = this.world.getBlock(tilePos.down(new TilePos()));
         if (!BlockTags.NETHER_MOBS_SPAWN.appliesTo(below)) return false;
-        int blockLight = world.getSavedLightValue(LightLayer.Block, x, y, z);
-    	if(blockLight > 7) return false;
-        return world.getDifficulty().canHostileMobsSpawn() && world.checkIfAABBIsClear(bb) && world.getCubes(this, bb).isEmpty() && !world.getIsAnyLiquid(bb);
+        int blockLight = this.world.getSavedLightValue(LightLayer.Block, tilePos);
+        if (blockLight > 7) return false;
+        return this.world.getDifficulty().canHostileMobsSpawn() && this.world.checkIfAABBIsClear(this.bb) && this.world.getCubes(this, this.bb).isEmpty() && !this.world.getIsAnyLiquid(this.bb);
     }
 
     @Override
-	public void addAdditionalSaveData(@NotNull CompoundTag tag)
-    {
+    public void addAdditionalSaveData(@NotNull CompoundTag tag) {
         super.addAdditionalSaveData(tag);
-        tag.putShort("Anger", (short)angerLevel);
+        tag.putShort("Anger", (short) this.angerLevel);
     }
 
     @Override
-	public void readAdditionalSaveData(@NotNull CompoundTag tag)
-    {
+    public void readAdditionalSaveData(@NotNull CompoundTag tag) {
         super.readAdditionalSaveData(tag);
-        angerLevel = tag.getShort("Anger");
+        this.angerLevel = tag.getShort("Anger");
     }
 
     @Override
-	protected Entity findPlayerToAttack()
-    {
-        if(angerLevel == 0)
-        {
+    protected Entity findPlayerToAttack() {
+        if (this.angerLevel == 0) {
             return null;
-        } else
-        {
+        } else {
             return super.findPlayerToAttack();
         }
     }
 
     @Override
-    public boolean hurt(Entity attacker, int i, DamageType type)
-    {
-    	if(type == DamageType.FIRE) {
-    		return false;
-    	}
-        if(attacker instanceof Player)
-        {
-            List<Entity> list = world.getEntitiesWithinAABBExcludingEntity(this, bb.grow(32D, 32D, 32D));
-            for(int j = 0; j < list.size(); j++)
-            {
+    public boolean hurt(Entity attacker, int i, DamageType type) {
+        if (type == DamageType.FIRE) {
+            return false;
+        }
+        if (attacker instanceof Player) {
+            List<Entity> list = this.world.getEntitiesWithinAABBExcludingEntity(this, MathHelper.aabbGrow(this.bb, 32D, 32D, 32D, new AABBd()));
+            for (int j = 0; j < list.size(); j++) {
                 Entity e = list.get(j);
-                if(e instanceof MobZombiePig)
-                {
-                    MobZombiePig mobZombiePig = (MobZombiePig)e;
+                if (e instanceof MobZombiePig mobZombiePig) {
                     mobZombiePig.becomeAngryAt(attacker);
                 }
             }
@@ -136,36 +120,31 @@ public class MobZombiePig extends MobZombie
         return super.hurt(attacker, i, type);
     }
 
-    private void becomeAngryAt(Entity entity)
-    {
-        target = entity;
-        angerLevel = 400 + random.nextInt(400);
-        randomSoundDelay = random.nextInt(40);
+    private void becomeAngryAt(Entity entity) {
+        this.target = entity;
+        this.angerLevel = 400 + this.random.nextInt(400);
+        this.randomSoundDelay = this.random.nextInt(40);
     }
 
     @Override
-    public String getLivingSound()
-    {
+    public String getLivingSound() {
         return "mob.zombiepig.zpig";
     }
 
     @Override
-	protected String getHurtSound()
-    {
+    protected String getHurtSound() {
         return "mob.zombiepig.zpighurt";
     }
 
     @Override
-	protected String getDeathSound()
-    {
+    protected String getDeathSound() {
         return "mob.zombiepig.zpigdeath";
     }
 
     @Override
-	protected List<WeightedRandomLootObject> getMobDrops()
-    {
+    protected List<WeightedRandomLootObject> getMobDrops() {
         List<WeightedRandomLootObject> drops = new ArrayList<>();
-        float drop = world.rand.nextFloat();
+        float drop = this.world.rand.nextFloat();
 
         if (!(drop < 0.5f)) {
             if (drop < 0.95f) {
diff --git a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
index 4d46bf2ca..5165626fb 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
@@ -4,6 +4,7 @@ import com.mojang.nbt.tags.CompoundTag;
 import com.mojang.nbt.tags.ListTag;
 import net.minecraft.core.block.BlockLogicBed;
 import net.minecraft.core.block.entity.*;
+import net.minecraft.core.block.material.Materials;
 import net.minecraft.core.entity.*;
 import net.minecraft.core.entity.animal.MobPig;
 import net.minecraft.core.entity.animal.MobWolf;
@@ -18,7 +19,6 @@ import net.minecraft.core.achievement.stat.Stat;
 import net.minecraft.core.achievement.stat.StatList;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.material.Material;
 import net.minecraft.core.data.gamerule.GameRules;
 import net.minecraft.core.entity.monster.MobGhast;
 import net.minecraft.core.entity.monster.MobGiant;
@@ -48,7 +48,6 @@ import net.minecraft.core.player.inventory.menu.MenuInventory;
 import net.minecraft.core.util.helper.DamageType;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.ICarriable;
 import net.minecraft.core.world.SpawnerMobs;
@@ -56,20 +55,22 @@ import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.ChunkCoordinates;
 import net.minecraft.core.world.chunk.provider.IChunkProvider;
 import net.minecraft.core.world.pos.TilePos;
+import net.minecraft.core.world.pos.TilePosc;
 import net.minecraft.core.world.weather.Weathers;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
+import org.joml.primitives.AABBd;
+import org.joml.primitives.AABBdc;
 
 import java.util.*;
 import java.util.function.Function;
 
 public abstract class Player
     extends Mob
-    implements IArmorWearing<HumanArmorShape>, IItemHolding
-{
+    implements IArmorWearing<HumanArmorShape>, IItemHolding {
     public static final int MOTION_STATE_DEFAULT = 0;
     public static final int MOTION_STATE_CROUCHED = 1;
-    
+
     public static final @NotNull UUID UUID_MAK = UUID.fromString("2c045432-9b19-46cc-b7f5-3c90a458b604");
     public static final @NotNull UUID UUID_JONK = UUID.fromString("73eaf85f-863e-47e4-9ae4-e4dd40dbc58a");
     public static final @NotNull UUID UUID_SHIGN = UUID.fromString("49f6ea39-30b2-4441-b07c-7bfe0beeb61e");
@@ -129,43 +130,41 @@ public abstract class Player
 
     public final PlayerConfig playerConfig = new PlayerConfig();
 
-    public Player(World world)
-    {
+    public Player(World world) {
         super(world);
-        inventory = new ContainerInventory(this);
+        this.inventory = new ContainerInventory(this);
 //        userType = 0;
-        score = 0;
-        isSwinging = false;
-        swingProgressInt = 0;
-        timeUntilPortal = 20;
-        inPortal = false;
-        bobberEntity = null;
-        inventorySlots = new MenuInventory(inventory, !world.isClientSide);
-        craftingInventory = inventorySlots;
+        this.score = 0;
+        this.isSwinging = false;
+        this.swingProgressInt = 0;
+        this.timeUntilPortal = 20;
+        this.inPortal = false;
+        this.bobberEntity = null;
+        this.inventorySlots = new MenuInventory(this.inventory, !world.isClientSide);
+        this.craftingInventory = this.inventorySlots;
         TilePos spawnPoint = world.getSpawnPoint();
-        moveTo((double)spawnPoint.x + 0.5D, spawnPoint.y + 1, (double)spawnPoint.z + 0.5D, 0.0F, 0.0F);
+        moveTo((double) spawnPoint.x + 0.5D, spawnPoint.y + 1, (double) spawnPoint.z + 0.5D, 0.0F, 0.0F);
 //        rotOffs = 180F;
-        fireImmuneTicks = 20;
+        this.fireImmuneTicks = 20;
         setTextureIdentifier("minecraft", "char");
         this.noAI = false;
     }
+
     @Override
-    public int getMaxHealth(){
+    public int getMaxHealth() {
         return 20;
     }
 
-    public ArtType getSelectedArt()
-    {
-        return ArtType.values.get(entityData.getByte(DATA_SELECTED_ART));
+    public ArtType getSelectedArt() {
+        return ArtType.values.get(this.entityData.getByte(DATA_SELECTED_ART));
     }
 
-    public void setSelectedArt(ArtType selectedArt)
-    {
-        entityData.set(DATA_SELECTED_ART, (byte)ArtType.values.indexOf(selectedArt));
+    public void setSelectedArt(ArtType selectedArt) {
+        this.entityData.set(DATA_SELECTED_ART, (byte) ArtType.values.indexOf(selectedArt));
     }
 
     private void setupScale() {
-        isDwarf = world.getGameRuleValue(GameRules.DWARF_MODE);
+        this.isDwarf = this.world.getGameRuleValue(GameRules.DWARF_MODE);
         if (this.isDwarf) {
             setSize(0.6f, isSneaking() ? 0.5f : 0.8f);
         } else {
@@ -175,12 +174,11 @@ public abstract class Player
     }
 
     public boolean isDwarf() {
-        return isDwarf;
+        return this.isDwarf;
     }
 
     @Override
-    public boolean isSneaking()
-    {
+    public boolean isSneaking() {
         return this.sneaking;
     }
 
@@ -189,17 +187,15 @@ public abstract class Player
     }
 
     @Override
-	protected void defineSynchedData()
-    {
+    protected void defineSynchedData() {
         super.defineSynchedData();
-        entityData.define(DATA_UNKNOWN, (byte) 0, Byte.class);
-        entityData.define(DATA_SELECTED_ART, (byte) 0, Byte.class); // selected art
-        entityData.define(DATA_HELD_ARROW, -1, Integer.class);
+        this.entityData.define(DATA_UNKNOWN, (byte) 0, Byte.class);
+        this.entityData.define(DATA_SELECTED_ART, (byte) 0, Byte.class); // selected art
+        this.entityData.define(DATA_HELD_ARROW, -1, Integer.class);
     }
 
     @Override
-    public boolean canSkate() 
-    {
+    public boolean canSkate() {
         final @Nullable ItemStack armor = getItemInArmorSlot(HumanArmorShape.BOOTS);
         if (armor == null) {
             return false;
@@ -209,46 +205,48 @@ public abstract class Player
     }
 
     // Determines if a block pushes the player out of it
-    protected boolean doesBlockPushOut(int x, int y, int z)
-    {
-        return world.isBlockNormalCube(x, y, z);
+    protected boolean doesBlockPushOut(int x, int y, int z) {
+        return this.world.isBlockNormalCube(x, y, z);
     }
 
-    protected boolean boundsClear(@NotNull final AABB bounds) {
-        return world.getCubes(this, bounds).isEmpty();
+    protected boolean boundsClear(final @NotNull AABBdc bounds) {
+        return this.world.getCubes(this, bounds).isEmpty();
     }
 
-    protected AABB getBoundsForState(final int state) {
+    protected @NotNull AABBdc getBoundsForState(final int state) {
         final double center = this.bbWidth / 2.0d;
         switch (state) {
             case MOTION_STATE_CROUCHED: {
                 final double heightOfMob = isDwarf() ? 0.5 : 1.5f;
-                return AABB.fromPool(
+                AABBd bb = new AABBd(
                     this.x - center,
                     (this.y - (double) this.heightOffset) + (double) this.ySlideOffset,
                     this.z - center,
                     this.x + center,
                     (this.y - (double) this.heightOffset) + (double) this.ySlideOffset + heightOfMob,
-                    this.z + center).shrink(0.0125, 0.0125, 0.0125);
+                    this.z + center);
+                MathHelper.aabbShrink(bb, 0.0125, 0.0125, 0.0125, bb);
+                return bb;
             }
             case MOTION_STATE_DEFAULT:
             default: {
                 final double heightOfMob = isDwarf() ? 0.8 : 1.8f;
-                return AABB.fromPool(
+                AABBd bb = new AABBd(
                     this.x - center,
                     (this.y - (double) this.heightOffset) + (double) this.ySlideOffset,
                     this.z - center,
                     this.x + center,
                     (this.y - (double) this.heightOffset) + (double) this.ySlideOffset + heightOfMob,
-                    this.z + center).shrink(0.0125, 0.0125, 0.0125);
+                    this.z + center);
+                MathHelper.aabbShrink(bb, 0.0125, 0.0125, 0.0125, bb);
+                return bb;
             }
         }
     }
 
     @Override
-	public void tick()
-    {
-        if (world.dimension == Dimension.NETHER) {
+    public void tick() {
+        if (this.world.dimension == Dimension.NETHER) {
             addStat(Achievements.ENTER_NETHER, 1);
             /*if (y >=128) {
                 addStat(Achievements.ENTER_NETHER, 1);
@@ -257,21 +255,21 @@ public abstract class Player
             }*/
         }
 
-        xdO = xd;
-        ydO = yd;
-        zdO = zd;
+        this.xdO = this.xd;
+        this.ydO = this.yd;
+        this.zdO = this.zd;
 
         boolean playEquipSound = false;
-        for (int i = 0; i < oldArmorInventory.length; i++) {
-            ItemStack armorOld = oldArmorInventory[i];
-            ItemStack armorCurrent = inventory.armorInventory[i];
+        for (int i = 0; i < this.oldArmorInventory.length; i++) {
+            ItemStack armorOld = this.oldArmorInventory[i];
+            ItemStack armorCurrent = this.inventory.armorInventory[i];
             if (armorOld != armorCurrent && (armorOld == null || armorCurrent == null || armorOld.itemID != armorCurrent.itemID)) {
                 playEquipSound = true;
             }
-            oldArmorInventory[i] = armorCurrent;
+            this.oldArmorInventory[i] = armorCurrent;
         }
         if (playEquipSound) {
-            world.playSoundAtEntity(this, this, "random.equip", 2f, 1f);
+            this.world.playSoundAtEntity(this, this, "random.equip", 2f, 1f);
         }
 
         final boolean wSneak = wantSneak();
@@ -289,59 +287,46 @@ public abstract class Player
 
         setupScale();
 
-        if(isPlayerSleeping())
-        {
-            sleepTimer++;
-            if(sleepTimer > 100)
-            {
-                sleepTimer = 100;
+        if (isPlayerSleeping()) {
+            this.sleepTimer++;
+            if (this.sleepTimer > 100) {
+                this.sleepTimer = 100;
             }
-            if(!world.isClientSide)
-            {
-                if(!isInBed())
-                {
+            if (!this.world.isClientSide) {
+                if (!isInBed()) {
                     wakeUpPlayer(true, true);
-                } else
-                if(world.isDaytime() && world.getCurrentWeather() != Weathers.OVERWORLD_STORM)
-                {
+                } else if (this.world.isDaytime() && this.world.getCurrentWeather() != Weathers.OVERWORLD_STORM) {
                     wakeUpPlayer(false, true);
                 }
             }
-        } 
-        else if(sleepTimer > 0)
-        {
-            sleepTimer++;
-            if(sleepTimer >= 110)
-            {
-                sleepTimer = 0;
+        } else if (this.sleepTimer > 0) {
+            this.sleepTimer++;
+            if (this.sleepTimer >= 110) {
+                this.sleepTimer = 0;
             }
         }
         super.tick();
-        if (heldObject != null) {
-            heldObject.heldTick(world, this);
+        if (this.heldObject != null) {
+            this.heldObject.heldTick(this.world, this);
         }
 
-        if(!world.isClientSide && craftingInventory != null && !craftingInventory.stillValid(this))
-        {
+        if (!this.world.isClientSide && this.craftingInventory != null && !this.craftingInventory.stillValid(this)) {
             closeScreen();
-            craftingInventory = inventorySlots;
+            this.craftingInventory = this.inventorySlots;
         }
         addStat(StatList.minutesPlayedStat, 1);
-        if(vehicle == null)
-        {
-            startMinecartRidingPoint = null;
+        if (this.vehicle == null) {
+            this.startMinecartRidingPoint = null;
         }
     }
 
     @Override
-    protected boolean isMovementBlocked()
-    {
+    protected boolean isMovementBlocked() {
         return getHealth() <= 0 || isPlayerSleeping();
     }
 
-    protected void closeScreen()
-    {
-        craftingInventory = inventorySlots;
+    protected void closeScreen() {
+        this.craftingInventory = this.inventorySlots;
     }
 
     @Override
